using System;

internal sealed class Delegate499 : MulticastDelegate
{
	public extern string Invoke(ref bool bool_0);

	public static string smethod_0(ref bool bool_0, Delegate499 delegate499_1)
	{
		return delegate499_1(ref bool_0);
	}

	public extern Delegate499(object object_0, IntPtr intptr_0);

	static Delegate499()
	{
		Class10.smethod_13(typeof(Delegate499).TypeHandle);
	}

	internal static Delegate499 delegate499_0;
}
